Show / Hide Table of Contents

# Class DalamudLinkPayload

This class represents a custom Dalamud clickable chat link.

##### Inheritance

System.Object
Payload
DalamudLinkPayload

##### Inherited Members

Payload.DataResolver
Payload.Dirty
Payload.Decode(BinaryReader)
Payload.Encode(Boolean)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(UInt32)
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.Text.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class DalamudLinkPayload : Payload

### Properties

| Improve this Doc View Source

#### CommandId

Gets the plugin command ID to be linked.

##### Declaration

    public uint CommandId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Plugin

Gets the plugin name to be linked.

##### Declaration

    [NotNull]
    public string Plugin { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Type

Gets the type of this payload.

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type

### Methods

| Improve this Doc View Source

#### DecodeImpl(BinaryReader, Int64)

Decodes a byte stream from the game into a payload object.

##### Declaration

    protected override void DecodeImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader | A BinaryReader containing at least all the data for this payload.
System.Int64 | endOfStream | The location holding the end of the data for this payload.

##### Overrides

Payload.DecodeImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### EncodeImpl()

Encodes the internal state of this payload into a byte[] suitable for sending to in-game handlers such as the chat log.

##### Declaration

    protected override byte[] EncodeImpl()

##### Returns

Type | Description
--- | ---
System.Byte[] | Encoded binary payload data suitable for use with in-game handlers.

##### Overrides

Payload.EncodeImpl()
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()